Page 4 of 4 FirstFirst ... 234
Results 31 to 38 of 38

Thread: Warsow 1.0 To Be Released Tomorrow

  1. #31
    Join Date
    Feb 2010
    Posts
    519

    Default

    Quote Originally Posted by uid313 View Post
    I use Ubuntu 12.10 alpha.

    $ ./warsow.x86_64
    ./warsow.x86_64: error while loading shared libraries: libpng15.so.15: cannot open shared object file: No such file or directory

    Doesn't work.
    I have to use the Windows version in Wine, then it works.
    That's the one... png, not jpeg...

  2. #32
    Join Date
    Feb 2010
    Posts
    519

    Default

    Quote Originally Posted by losinggeneration View Post
    It doesn't look like there's a package for warsow in Precise, but there was one for Oneiric: packages.ubuntu.com/oneiric/warsow It looks like the dependencies there should be mostly what you'll want (the -dev versions too, but you knew that already.) libjpeg62 will likely be libjpeg-dev instead. Of course, this is just my best guess since I don't have a Precise chroot.
    I think I've covered most dependencies already. I'll have to check the exact error message again, though I think it was about angelscript.

  3. #33
    Join Date
    Dec 2011
    Posts
    2,006

    Default

    Quote Originally Posted by PsynoKhi0 View Post
    That's the one... png, not jpeg...
    But why does Windows games work better on Linux than Linux games?

    I cant run the Linux version on Linux. But the Windows version works fine.

  4. #34

    Default

    Quote Originally Posted by uid313 View Post
    But why does Windows games work better on Linux than Linux games?

    I cant run the Linux version on Linux. But the Windows version works fine.
    Because they failed at packaging it generically! It amazes me that running from wine was the next choice instead of building the binary from source...

  5. #35
    Join Date
    Dec 2011
    Posts
    2,006

    Default

    Quote Originally Posted by losinggeneration View Post
    Because they failed at packaging it generically! It amazes me that running from wine was the next choice instead of building the binary from source...
    Because everytime I tried to compile from source its been:
    - Read install instructions
    - Fetch hundreds of packages to compile stuff
    - Compile
    - Discover that compile failed

    Wasted time. Compile didn't even work. Now system is polluted by hundreds of unnecessary packages.

  6. #36
    Join Date
    Feb 2008
    Location
    Linuxland
    Posts
    4,993

    Default

    Of course you've reported this to the Warsow people so that they can correct their packaging, right?

    "My distro doesn't ship libpng 1.5, please ship it in the zip"

  7. #37

    Default

    Quote Originally Posted by PsynoKhi0 View Post
    I think I've covered most dependencies already. I'll have to check the exact error message again, though I think it was about angelscript.
    I just did an Ubuntu Quantal chroot and this is the full list of -dev packages installed to get it to build
    comerr-dev dpkg-dev libasound2-dev:amd64 libavahi-client-dev libavahi-common-dev libc-dev-bin libc6-dev:amd64 libcaca-dev libcurl4-openssl-dev libdbus-1-dev libdrm-dev libfreetype6-dev libgcrypt11-dev libgl1-mesa-dev libglib2.0-dev libglu1-mesa-dev libgnutls-dev libgpg-error-dev libidn11-dev libjpeg-dev libjpeg-turbo8-dev:amd64 libjpeg8-dev:amd64 libkrb5-dev libldap2-dev:amd64 libogg-dev:amd64 libopenal-dev:amd64 libp11-kit-dev libpcre3-dev libpng12-dev libpthread-stubs0-dev:amd64 libpulse-dev:amd64 librtmp-dev libsdl1.2-dev libslang2-dev:amd64 libssl-dev libstdc++6-4.7-dev libtasn1-3-dev libtheora-dev:amd64 libvorbis-dev:amd64 libx11-dev:amd64 libxau-dev:amd64 libxcb-xf86dri0-dev:amd64 libxcb1-dev:amd64 libxdmcp-dev:amd64 libxext-dev:amd64 libxinerama-dev:amd64 libxrandr-dev libxrender-dev:amd64 libxxf86dga-dev:amd64 libxxf86vm-dev linux-libc-dev:amd64 manpages-dev mesa-common-dev x11proto-core-dev x11proto-input-dev x11proto-kb-dev x11proto-randr-dev x11proto-render-dev x11proto-xext-dev x11proto-xf86dga-dev x11proto-xf86vidmode-dev x11proto-xinerama-dev xtrans-dev zlib1g-dev:amd64

  8. #38
    Join Date
    Dec 2011
    Posts
    2,006

    Default

    Quote Originally Posted by curaga View Post
    Of course you've reported this to the Warsow people so that they can correct their packaging, right?

    "My distro doesn't ship libpng 1.5, please ship it in the zip"
    No, I didn't.
    But now that you told me, I decided to email solomonk about it.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •